import * as Generator from './rest-api.generator';
export type WithBackendRestApi<Context> = Generator.WithRestApi<Context>;
export type ModelWithBackendRestApi = Generator.ModelContextResult;
export declare const backendRestApiGenerator: import("@postxl/generator").GeneratorInterface;
export declare const backendRestApiGeneratorId: string & import("zod").BRAND<"PXL.GeneratorInterfaceId">;
